CREATE TABLE hns_actions (
    ACTION_ID                     NUMBER(18, 0) ,
    ACTION_NO                     VARCHAR2(128)     NOT NULL,
    RECOMMEND_ID                  NUMBER(18, 0) ,
    INCIDENT_ID                   NUMBER(18, 0)     NOT NULL,
    COMPLETED_FLAG                VARCHAR2(4)   ,
    ACTION_STATUS_CODE            VARCHAR2(120) ,
    DELETED_FLAG                  VARCHAR2(4)   ,
    ACTION_SUMMARY                VARCHAR2(4000)    NOT NULL,
    DESCRIPTION                   CLOB          ,
    ACTION_TYPE_CODE              VARCHAR2(120)     NOT NULL,
    PRIORITY_CODE                 VARCHAR2(120)     NOT NULL,
    REQ_RESOURCES                 VARCHAR2(800) ,
    ACTION_DATE                   TIMESTAMP(6)  ,
    ACTION_REVIEWER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_APPROVER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_PRECOM_EMAIL_FLAG      VARCHAR2(4)   ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ESTIMATED_COST                NUMBER        ,
    EST_COST_CURRENCY_CODE        VARCHAR2(40)  ,
    LESSONS_LEARNED               VARCHAR2(4000),
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    ACTION_ID                     NUMBER(18, 0) ,
    ACTION_NO                     VARCHAR2(128)     NOT NULL,
    RECOMMEND_ID                  NUMBER(18, 0) ,
    INCIDENT_ID                   NUMBER(18, 0)     NOT NULL,
    COMPLETED_FLAG                VARCHAR2(4)   ,
    ACTION_STATUS_CODE            VARCHAR2(120) ,
    DELETED_FLAG                  VARCHAR2(4)   ,
    ACTION_SUMMARY                VARCHAR2(4000)    NOT NULL,
    DESCRIPTION                   CLOB          ,
    ACTION_TYPE_CODE              VARCHAR2(120)     NOT NULL,
    PRIORITY_CODE                 VARCHAR2(120)     NOT NULL,
    REQ_RESOURCES                 VARCHAR2(800) ,
    ACTION_DATE                   TIMESTAMP(6)  ,
    ACTION_REVIEWER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_APPROVER_EMAIL_FLAG    VARCHAR2(4)   ,
    ACTION_PRECOM_EMAIL_FLAG      VARCHAR2(4)   ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ESTIMATED_COST                NUMBER        ,
    EST_COST_CURRENCY_CODE        VARCHAR2(40)  ,
    LESSONS_LEARNED               VARCHAR2(4000),
    ATTRIBUTE_CATEGORY            VARCHAR2(120) ,
    ATTRIBUTE1                    VARCHAR2(600) ,
    ATTRIBUTE2                    VARCHAR2(600) ,
    ATTRIBUTE3                    VARCHAR2(600) ,
    ATTRIBUTE4                    VARCHAR2(600) ,
    ATTRIBUTE5                    VARCHAR2(600) ,
    ATTRIBUTE6                    VARCHAR2(600) ,
    ATTRIBUTE7                    VARCHAR2(600) ,
    ATTRIBUTE8                    VARCHAR2(600) ,
    ATTRIBUTE9                    VARCHAR2(600) ,
    ATTRIBUTE10                   VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1             NUMBER        ,
    ATTRIBUTE_NUMBER2             NUMBER        ,
    ATTRIBUTE_NUMBER3             NUMBER        ,
    ATTRIBUTE_NUMBER4             NUMBER        ,
    ATTRIBUTE_NUMBER5             NUMBER        ,
    ATTRIBUTE_TIMESTAMP1          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4          TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5          TIMESTAMP(6)  ,
    CONSTRAINT pk_hns_actions PRIMARY KEY (ACTION_ID, ACTION_ID)
);
